head	1.12;
access;
symbols
	TIGRIS_1_1_0RC2:1.11.6.1
	TIGRIS_1_1_0RC1:1.11.6.1
	TIGRIS_1_1:1.11.6.1.0.2
	TIGRIS_1_0_8:1.11.6.1
	TIGRIS_1_0_8RC3:1.11.6.1
	TIGRIS_1_0_8RC2:1.11.6.1
	TIGRIS_1_0_8RC1:1.11.6.1
	TIGRIS_1_0_7:1.11.6.1
	TIGRIS_1_0_7RC3:1.11.6.1
	TIGRIS_1_0_7RC2:1.11.6.1
	TIGRIS_1_0_7RC1:1.11.6.1
	TIGRIS_1_0_6:1.11.6.1
	TIGRIS_1_0_6RC5:1.11.6.1
	TIGRIS_1_0_6RC4:1.11.6.1
	TIGRIS_1_0_6RC3:1.11.6.1
	TIGRIS_1_0_6RC2:1.11.6.1
	TIGRIS_1_0_6RC1:1.11.6.1
	TIGRIS_1_0_5:1.11
	TIGRIS_1_0_5RC6:1.11
	TIGRIS_1_0_5RC5:1.11
	TIGRIS_1_0_5RC4:1.11
	TIGRIS_1_0_5RC3:1.11
	TIGRIS_1_0_5RC2:1.11
	TIGRIS_1_0_5RC1:1.11
	TIGRIS_1_0_4:1.11
	TIGRIS_1_0_3:1.11
	TIGRIS_1_0_2:1.11
	TIGRIS_1_0_1:1.11
	TIGRIS_1_0:1.11.0.6
	TIGRIS_1_0_0:1.11
	TIGRIS_1_0_0_RC1:1.11.0.2
	dlr:1.1.1
	TIGRIS_0_9_2_5:1.9
	TIGRIS_0_9_2_4:1.9
	TIGRIS_0_9_2_3:1.9
	HELM_PEER_PORT_BRANCH:1.1.1.2
	TURBINE_PEER:1.9
	TIGRIS_0_9_2_1:1.9
	TIGRIS_0_9_2:1.9.0.6
	TIGRIS_0_9_0:1.9.0.4
	TIGRIS_0_8_4:1.9.0.2
	NEWHELM:1.1.1.1
	TIGRIS_NOV_12_2000:1.1.1
	OLDHELM:1.3.0.2
	TIGRIS_NOV_11_2000:1.3
	TIGRIS_SEP_13_2000:1.2.0.2
	TIGRIS_BASELINE:1.2;
locks; strict;
comment	@# @;


1.12
date	2001.06.06.16.15.29;	author edk;	state Exp;
branches;
next	1.11;

1.11
date	2001.03.05.18.52.23;	author dlr;	state Exp;
branches
	1.11.6.1;
next	1.10;

1.10
date	2001.02.21.01.08.19;	author dlr;	state Exp;
branches;
next	1.9;

1.9
date	2000.12.01.22.48.11;	author ms;	state Exp;
branches
	1.9.2.1
	1.9.6.1
	1.9.8.1;
next	1.8;

1.8
date	2000.11.15.22.25.34;	author edk;	state Exp;
branches;
next	1.7;

1.7
date	2000.11.13.23.18.28;	author dlr;	state Exp;
branches;
next	1.6;

1.6
date	2000.11.13.23.13.08;	author dlr;	state Exp;
branches;
next	1.5;

1.5
date	2000.11.13.02.28.40;	author dlr;	state Exp;
branches;
next	1.4;

1.4
date	2000.11.12.22.57.29;	author dlr;	state Exp;
branches;
next	1.3;

1.3
date	2000.09.30.06.30.24;	author lucas;	state Exp;
branches;
next	1.2;

1.2
date	2000.07.12.03.51.08;	author jrobbins;	state Exp;
branches
	1.2.2.1;
next	1.1;

1.1
date	2000.07.04.04.55.01;	author dlr;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	2000.11.12.21.13.42;	author dlr;	state Exp;
branches;
next	1.1.1.2;

1.1.1.2
date	2001.02.21.00.27.17;	author dlr;	state Exp;
branches;
next	;

1.2.2.1
date	2000.10.23.06.01.02;	author lucas;	state Exp;
branches;
next	;

1.9.2.1
date	2001.03.20.10.20.41;	author edk;	state Exp;
branches;
next	;

1.9.6.1
date	2001.03.07.09.08.14;	author jrobbins;	state Exp;
branches;
next	;

1.9.8.1
date	2001.02.06.02.28.11;	author dlr;	state Exp;
branches;
next	;

1.11.6.1
date	2001.06.07.02.33.32;	author edk;	state Exp;
branches;
next	;


desc
@@


1.12
log
@separate out the operation of installing data -- make install installs
conf files, templates, and java code; make install-data installs data.
explicitly call this in the install scripts.
@
text
@######################################################################
# -*- Makefile -*- config file developed for a Unix system.
# 

# The project name (as installed to sandbox).
PROJECT=helm

# Directories to perform a `make` and possibly `make install` in.
BUILD_DIRS=conf sql build templates cron

@


1.11
log
@Removed now non-existant html directory.  It has moved into data, where it belongs.
@
text
@d9 2
a10 1
BUILD_DIRS=conf sql build templates data cron
@


1.11.6.1
log
@port changes which separate out the install of data from the install of
code, templates, conf, and sql files
@
text
@d9 1
a9 1
BUILD_DIRS=conf sql build templates cron
@


1.10
log
@This is the highest revision from the HELM_PEER_PORT_BRANCH.  The previous import caused too many conflicts to resolve manually
@
text
@d9 1
a9 1
BUILD_DIRS=conf sql build templates data html cron
@


1.9
log
@Added cron dir
@
text
@d9 1
a9 1
BUILD_DIRS=conf build templates data html cron
@


1.9.2.1
log
@don't try to make html, which was moved ...
@
text
@d9 1
a9 1
BUILD_DIRS=conf build templates data cron
@


1.9.6.1
log
@removed reference to html dir, now under data/htdoc
@
text
@d9 1
a9 1
BUILD_DIRS=conf build templates data cron
@


1.9.8.1
log
@We now want to do a `make install` in the sql directory to copy the
SQL scripts to the site directory.
@
text
@d9 1
a9 1
BUILD_DIRS=conf sql build templates data html cron
@


1.8
log
@add html & correponding makefile
@
text
@d9 1
a9 1
BUILD_DIRS=conf build templates data html
@


1.7
log
@Removed--no longer used by Makefile.
@
text
@d9 1
a9 1
BUILD_DIRS=conf build templates data
@


1.6
log
@Moved config param from Makefile to config file.
@
text
@a9 4

# The script which updates filesystem permissions for a production server
# installation.
PATCH_PERMISSIONS=scripts/patch_permissions
@


1.5
log
@Removed the HTML directory in the repository.
@
text
@d10 4
@


1.4
log
@Resolved merge conflicts.
@
text
@d9 1
a9 1
BUILD_DIRS=conf build templates data html
@


1.3
log
@Adding support for Ant via make.

PR:
Obtained from:
Submitted by:
Reviewed by:
@
text
@d9 1
a9 1
BUILD_DIRS=conf build templates data
@


1.2
log
@Changed install to accomodate for data directories.
@
text
@d9 1
a9 1
BUILD_DIRS=conf java templates data
@


1.2.2.1
log
@Adjusted project Makefile to use Ant.

Added helm.jar to repositories.

Modified templates/Makefile to appropiate directory structure.

PR:
Obtained from:
Submitted by:
Reviewed by:
@
text
@d9 1
a9 1
BUILD_DIRS=conf build templates data
@


1.1
log
@Config for the project-level Makefile.
@
text
@a7 6
# Base location of user data.
DATA_DIR_BASE=$(SANDBOX)/data/$(PROJECT)

# Individual data directories (subdirectories of DATA_DIR_BASE).
DATA_DIR_LEAVES=apache cvs htdoc qmail

d9 1
a9 1
BUILD_DIRS=conf java templates
@


1.1.1.1
log
@Merging newhelm tree into helm, as per IZ issue #557.  Previous major version of helm is tagged TIGRIS_NOV_11_2000.
@
text
@d8 6
d15 1
a15 1
BUILD_DIRS=conf build templates data html
@


1.1.1.2
log
@Replacing the HEAD with the HELM_PEER_PORT_BRANCH.
@
text
@d9 1
a9 1
BUILD_DIRS=conf sql build templates data html cron
@


